Package proton :: Class SSL

[frames] | no frames]

# Class SSL

source code

    object --+
             |
            SSL

Instance Methods

cipher_name(self) | source code

protocol_name(self) | source code

get_cert_subject_subfield(self, subfield_name) | source code

get_cert_subject(self) | source code

get_cert_common_name(self) | source code

get_cert_organization(self) | source code

get_cert_organization_unit(self) | source code

get_cert_locality_or_city(self) | source code

get_cert_country(self) | source code

get_cert_state_or_province(self) | source code

get_cert_fingerprint(self, fingerprint_length, digest_name) | source code

get_cert_fingerprint_sha1(self) | source code

get_cert_fingerprint_sha256(self) | source code

get_cert_fingerprint_sha512(self) | source code

get_cert_fingerprint_md5(self) | source code

resume_status(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

present() | source code

a new object with type S, a subtype of T

__new__(cls, transport, domain, session_details=None) Enforce a singleton SSL object per Transport | source code

Class Variables
| SHA1 = `0`
| SHA256 = `1`
| SHA512 = `2`
| MD5 = `3`
| CERT_COUNTRY_NAME = `0`
| CERT_STATE_OR_PROVINCE = `1`
| CERT_CITY_OR_LOCALITY = `2`
| CERT_ORGANIZATION_NAME = `3`
| CERT_ORGANIZATION_UNIT = `4`
| CERT_COMMON_NAME = `5`
| RESUME_UNKNOWN = `0`
| RESUME_NEW = `1`
| RESUME_REUSED = `2`

Properties
| remote_subject
| peer_hostname Manage the expected name of the remote peer.
Inherited from `object`: `__class__`

Method Details

### __new__(cls, transport, domain, session_details=None)
Static Method

source code

Enforce a singleton SSL object per Transport

Returns: a new object with type S, a subtype of T
Overrides: object.__new__

Property Details

### remote_subject

Get Method:
  unreachable.remote_subject(self)

### peer_hostname

Manage the expected name of the remote peer. Used to authenticate the remote.

Get Method:
  _get_peer_hostname(self)
Set Method:
  _set_peer_hostname(self, hostname)